{-# LANGUAGE Haskell2010
 #-}
{-# OPTIONS -Wall #-}

module Types (
    module Foreign.Java.Utils,
    module Language.Java.Reflect.Types,
    ClassInfo (..)
  ) where

import Foreign.Java.Utils
import Language.Java.Reflect.Types

data ClassInfo = ClassInfo {
    aboutClass :: String -> JavaClass,
    classesForPackage :: String -> [String],
    classModName :: String -> String,
    packageModName :: String -> String,
    allClasses :: [String],
    allPackages :: [String]
  }


